// This file is a part of the TTRM Program;
// copyright (C) 2001-2002, Alexandros Droseltis;
// it is distributed under the terms of the
// GNU General Public Licence v.2 (read the file LICENCE)
#ifndef EXPORT_H
#define EXPORT_H

#include<fstream.h>
#include<string>
#include<iostream>

#include<qmessagebox.h>
#include<qspinbox.h>
#include<qcombobox.h>
#include <qmenubar.h>
#include<qpopupmenu.h>
#include <qfiledialog.h>
#include<qstring.h>
#include<qstringlist.h>
#include<qlabel.h>
#include<qapplication.h>
#include<qlineedit.h>
#include<qbuttongroup.h>
#include<qcheckbox.h>
#include<qradiobutton.h>
#include<qpushbutton.h>
#include<qstatusbar.h>
#include<qtabwidget.h>
#include"row.h"
#include"ttrm.h"
#include"numtable.h"

class Export : public QWidget{
Q_OBJECT

public:
 Export(QWidget *parent=0);
 bool* get_opt();

 bool get_v();
 void set_row(QString row);
 void set_title(QString qtitle);
 int get_form(void);
 int get_trans(void);
 int get_opt(int i);
 char* get_row(void);
 char* get_title(void);

 signals:
void ve_clicked();

private slots:
void vert_enable(void);
void set_all(int tmp=0);

private:
 ifstream *infile;
 ofstream *outfile;
 QString dateiName;
 QPopupMenu *dateiMenu;
 QPopupMenu *viewMenu, *viewRows, *viewVerticals;
 QPopupMenu *helpMenu;

 QMenuBar *my_menu;
 ttrm* myttrm;
 Row myRow;

 void initialize(void);
 void set_options(void);
int read_mult(QString a_row);
 void divide(void);
 void speichereDatei(bool neuerName);
 void set_form(void);
 void set_trans(void);

 QMessageBox *value_message;
// BUTTONGROUP(OUTPUT)
 QButtonGroup *output;
 QCheckBox *verticals;
 QComboBox* forms;
 QSpinBox *v_trans;
//--------------------
 QButtonGroup *columns;
 QCheckBox *prime, *retrograde, *inversion, *r_inversion;

 QButtonGroup *others;
 QCheckBox *start_box, *end_box, *s_accid_box, *d_accid_box, *note_numbers_box;

 QString qline_row, *qtitle;
 char line_row[100], title[100];
 char head[20];
 QStringList *qsep_notes;
 char sep_notes[24][7];
 int plithos;
 int form;
 int vert_trans;
 bool opt[24];
 bool vert_active;
};

#endif
