// This file is a part of the TTRM Program;
// copyright (C) 2001-2002, Alexandros Droseltis;
// it is distributed under the terms of the
// GNU General Public Licence v.2 (read the file LICENCE)
#ifndef NUMTABLE_H
#define NUMTABLE_H

#include<qstring.h>
#include"matrix.h"
#include"list.h"

class NumTable{
 public:
    NumTable(Matrix *Forms);
    void mknumbers(Matrix *Forms, int start, int plithos, int out[][12][48]);
    void set_set(const char *line);
    void set2num(void);
    void R_check_s(int *found);
    void R_check_hex(int *found);
    void T_check_s(int *found);
    void T_check_hex(int *found);
    QString get_result();
    void columns(void);
    void find(const char *line, bool order);

 private:
    int chromatic_small(int x, int y);
    int chromatic_big(int x, int y);

    int num_table[4][12][48];
    int hex[2][4][12][48];

    int set_plithos;
    int row_mult;
    char line[100];
    char sep_notes[24][7];
    QString result, result_hex;
    QString words[144], words_hex[144];
    int num_set[48];
    int gefunden, gefunden1;
 };
#endif
