// This file is a part of the TTRM Program;
// copyright (C) 2001-2002, Alexandros Droseltis;
// it is distributed under the terms of the
// GNU General Public Licence v.2 (read the file LICENCE)
#include"search.h"

Search::Search(QWidget *parent=0):QWidget(parent){

    QLabel *set_label=new QLabel(this);
    set_label->setText("Set:");
    set_label->setGeometry(10, 10, 40, 25);
    set_field=new QLineEdit(this);
    set_field->setGeometry(50, 10, 250, 25);

    order=new QButtonGroup(2, Qt::Horizontal, "Set-Type", this);
    order->setGeometry(10, 50, 200, 45);
    ordered=new QRadioButton("Ordered", order);
    ordered->setGeometry(0, 0, 100, 25);
    ordered->setChecked(true);
    not_ordered=new QRadioButton("Not ordered", order);
    not_ordered->setGeometry(0, 0, 200, 25);


    found_label=new QLabel(this);
    found_label->setGeometry(10, 110, 370, 410);
    found_label->setAlignment(Qt::AlignTop);
    found_label->setFrameStyle(QFrame::Panel | QFrame::Sunken);

    QObject::connect(set_field, SIGNAL(textChanged(const QString&)),
		     this, SLOT(find_set()));
    QObject::connect(ordered, SIGNAL(clicked()), this, SLOT(find_set()));
    QObject::connect(not_ordered, SIGNAL(clicked()), this, SLOT(find_set()));
}

void Search::find_set(void){
    myttrm=new ttrm(line_row);
    NumTable my_numtable(myttrm->get_matrices());
    my_numtable.find(set_field->text().latin1(), ordered->isChecked());
    found_label->setText(my_numtable.get_result());
}

void Search::set_row(QString str){
    strcpy(line_row, str.latin1());
}
